Car_Seat_Cover_Configurator-Laravel/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('privacy_policy', function () {
    return view('pages.privacy.privacy_policy');
});

Route::get('/view-my-configuration/{id}', 'Main\ViewConfigurationController@view');
Route::get('/view-my-em-configuration/{id}', 'Main\ViewConfigurationController@viewEmbroideryOrder');

Auth::routes();
Route::get('/unverified', 'HomeController@unverified')->name('unverified');

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('/import/brands', 'ImportController@import_brands');
    Route::get('/import/cars', 'ImportController@import_cars');
    Route::get('/view/cars', 'ImportController@view_cars');
    Route::get('/rename/duplicates', 'ImportController@rename_duplicates');
    Route::get('/remove/duplicates', 'ImportController@remove_duplicates');
    Route::get('/import/years_layouts', 'ImportController@import_years_layouts');
    Route::get('/import/trigger_brands', 'ImportController@trigger_brands');
    Route::get('/import/trigger_cars', 'ImportController@trigger_cars');
    Route::get('/import/trigger_years_layouts', 'ImportController@trigger_years_layouts');
    Route::get('/import/trigger_layout_images', 'ImportController@trigger_layout_images');
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/passport', 'Api\ApiController@index')->name('api');
    Route::get('/orders', 'Main\OrderController@orders')->name('orders');
    Route::get('/orders/{id}', 'Main\OrderController@order');
    Route::get('/configurations', 'Main\ConfigurationController@configurations')->name('configurations');

    //uae
    Route::get('/view_all_layouts', 'Main\WellfitLayoutController@index');
    Route::get('/view_all_car_models', 'Main\WellfitLayoutController@carModels');

    Route::resource('users', 'Main\UserController');

    Route::match(['put', 'patch'], '/quick_car_model_edit','Main\WellfitLayoutController@updateCarModel');
    Route::match(['put', 'patch'], '/change_password/{id}','Main\UserController@change_password');


    Route::post('/logout_all', 'Main\UserController@logoutAll');


    Route::resource('manufacturers', 'Data\ManufacturerController');
    Route::resource('manufacturers.cars', 'Data\CarController');
    Route::resource('cars', 'Data\CarController');
    Route::resource('cars.models', 'Data\CarModelController');
    Route::resource('models', 'Data\CarModelController');
    Route::resource('models.seats', 'Data\SeatController');
    Route::resource('seats', 'Data\SeatController');
    Route::resource('models.layouts', 'Data\LayoutController');
    Route::resource('layouts', 'Data\LayoutController');
    Route::resource('layout_image', 'Data\LayoutImageController');
    Route::resource('layout_design', 'Data\LayoutDesignController');
    Route::resource('seats.configuration', 'Main\ConfigurationController');
    Route::resource('seats.base', 'Configuration\BaseController');
    Route::resource('seats.original_image', 'Configuration\OriginalImageController');
    Route::resource('seats.layer', 'Configuration\LayerController');
    Route::resource('layer', 'Configuration\LayerController');
    Route::resource('layer.variant', 'Configuration\VariantController');
    Route::resource('variant', 'Configuration\VariantController');
    Route::resource('materials', 'Data\MaterialController');
    Route::resource('colour_categories', 'Data\ColourCategoryController');
    Route::resource('companies', 'Data\CompanyController');
    Route::resource('colour_categories.colours', 'Data\ColourController');
    Route::resource('colours', 'Data\ColourController');
    Route::resource('gallery_categories', 'Data\GalleryCategoryController');
    Route::resource('gallery_categories.galleries', 'Data\GalleryController');
    Route::resource('galleries', 'Data\GalleryController');
    Route::resource('patterns', 'Data\PatternController');


    Route::post('/car_model_layouts', 'Data\GalleryController@carModelLayouts');
    Route::post('/car_brand_models', 'Data\GalleryController@carBrandModels');

    Route::get('/embroidery_orders', 'Main\OrderController@embroideryOrders')->name('embroidery_orders');
    Route::get('/embroidery_orders/{id}', 'Main\OrderController@embroideryOrder');



    Route::resource('seats.seat_photos', 'Data\SeatPhotoController');

    Route::resource('price_ranges', 'Data\PriceRangeController');

    Route::post('/models/{id}/seats/existing', 'Data\SeatController@storeExisting');

    Route::delete('/delete_seats/{id}/', 'Data\SeatController@deleteSeat');

    Route::match(['put', 'patch'], '/orders/update/{id}','Main\OrderController@update');
    Route::match(['put', 'patch'], '/embroidery_orders/update/{id}','Main\OrderController@updateEmbroidery');




    Route::get('/import_car_model_year', 'ImportController@import_car_model_year');
    Route::get('/import_seat_layout', 'ImportController@import_seat_layout');
    Route::get('/check_image_path', 'ImportController@check_image_path');
    Route::get('/check_image_path_order', 'ImportController@check_image_path_order');
    Route::get('/layout_price', 'ImportController@layout_price');




  // New Import UAE
Route::get('/trigger_brands', 'NewImportController@trigger_brands');
Route::get('/trigger_cars', 'NewImportController@trigger_cars');
Route::get('/trigger_car_models', 'NewImportController@trigger_car_models');
Route::get('/trigger_layouts', 'NewImportController@trigger_layouts');
Route::get('/trigger_layout_images', 'NewImportController@trigger_layout_images');
Route::get('/testing_query', 'NewImportController@testing_query');

});

Car_Seat_Cover_Configurator-Laravel/app/Models/PriceRange.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PriceRange extends Model
{
    //
    use SoftDeletes;
    protected $visible = ['id','name','price'];

    public function getId()
    {
        return $this->id;
    }
    public function getName()
    {
        return $this->name;
    }

    public function seats()
    {
        //  return $this->belongsToMany(Variant::class, 'price_range_variants');
        return $this->belongsToMany('App\Models\Seat', 'price_range_seats')->withPivot('price_range_id');
    }

}

Car_Seat_Cover_Configurator-Laravel/app/Http/Controllers/Data/PriceRangeController.php
<?php

namespace App\Http\Controllers\Data;

use App\Models\PriceRange;
use App\Models\Seat;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Input;
use Validator;

class PriceRangeController extends Controller
{
    //
    public function index()
    {
        $price_ranges = PriceRange::get();
        return view('pages.price_ranges.partials.list',compact('price_ranges'));
    }
    public function create()
    {

        return view('pages.price_ranges.partials.add-price_ranges');
    }
    public function edit($id)
    {

        return view('pages.price_ranges.partials.edit-price_ranges',compact('price_range'));
    }
    public function store(Request $request)
    {
        Validator::make($request->all(), [
            'name' => 'required',
            'price' => 'numeric|required'
        ])->validate();


        $price_range = new PriceRange();
        $price_range->name = $request->name;
        $price_range->price = $request->price;
        $price_range->save();



        return redirect('/price_ranges/')->with('status', 'Price Range Added!');
    }
    public function update($id)
    {
        Validator::make(Input::all(), [
            'name' => 'required',
            'price' => 'numeric|required'
        ])->validate();

        $price_range = PriceRange::findOrFail($id);
        $price_range->name =  Input::get('name');
        $price_range->price =  Input::get('price');
        $price_range->save();
        return back()->with('status', 'Price Range Updated!');
    }
    public function destroy($id)
    {
        // delete
        $price_range = PriceRange::findOrFail($id);
        $price_range->delete();

        // redirect
        return back()->with('status', 'Price Range deleted!');
    }
}

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/price_ranges/partials/add-price_ranges.blade.php
@extends('pages.price_ranges.home')

@section('sub-content')
	<div class="row">

    <div class="col-md-6">
		{!! Form::open(array('route' => 'price_ranges.store','class' => 'form-horizontal','novalidate'=> 'novalidate','files' => true)) !!}
		  <div class="form-group">
		    <label class="col-sm-2 control-label">Name</label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" name="name" placeholder="Price Range Name">
		    </div>
		  </div>
		<div class="form-group">
			<label class="col-sm-2 control-label">Price</label>
			<div class="col-sm-10">
				<input type="number" min="0" class="form-control" name="price" placeholder="Price Range Price">
			</div>
		</div>
		<div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<button type="submit" class="btn btn-primary pull-right">Add</button>
			</div>
		</div>

		{!! Form::close() !!}
	</div>
	</div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/price_ranges/partials/edit-price_ranges.blade.php
@extends('pages.price_ranges.home')

@section('sub-content')
	<div class="row">
		<div class="col-md-6">
			{!! Form::open(array('route' => ['price_ranges.update',$price_range->id],'method' => 'PUT','class' => 'form-horizontal','novalidate'=> 'novalidate','files' => true)) !!}
			<div class="form-group">
				<label  class="col-sm-2 control-label">Name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" name="name" placeholder="Material Name" value="{{ $price_range->name }}">
				</div>
			</div>
			<div class="form-group">
				<label  class="col-sm-2 control-label">Price</label>
				<div class="col-sm-10">
					<input type="number" min="0" class="form-control" name="price" placeholder="Price Range Price" value="{{ $price_range->price }}">
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary pull-right">Edit</button>
				</div>
			</div>

			{!! Form::close() !!}
		</div>
	</div>
@endsection

Car_Seat_Cover_Configurator-Laravel/resources/views/pages/price_ranges/partials/list.blade.php
@extends('pages.price_ranges.home')

@section('sub-content')
<div class="row conf-container">
  @foreach($price_ranges as $price_range)
      <div class="col-md-2 conf-block">

            <h2>{{$price_range->name}}</h2>
          <h6>{{$price_range->price}} AED</h6>

        <div class="action-container">

            <a href="{{route('price_ranges.edit', $price_range->id) }}"><button class="btn btn-primary">Edit</button></a>
            @if($price_range->seats()->count())
                {{ Form::open(array('url' => '', 'style' => 'display:inline-block;')) }}
                {{ Form::button('Lock', array('class' => 'btn btn-warning','onclick'=>"return alert('Has Many Relations !!');")) }}
                {{ Form::close() }}
            @else

            {{ Form::open(array('style' => 'display:inline-block;', 'url' => 'price_ranges/'.$price_range->id )) }}
                {{ Form::hidden('_method', 'DELETE') }}
                {{ Form::submit('Delete', array('class' => 'btn btn-danger','onclick'=>"return confirm('Are you sure ?');")) }}
            {{ Form::close() }}
                @endif
        </div>

      </div>
  @endforeach
</div>
@endsection